package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayTenant;
import com.ruoyi.pay.domain.vo.PayTenantVo;
import com.ruoyi.pay.domain.bo.PayTenantBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 租户Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayTenantService {

    /**
     * 查询租户
     */
    PayTenantVo queryById(Long id);

    /**
     * 查询租户列表
     */
    TableDataInfo<PayTenantVo> queryPageList(PayTenantBo bo, PageQuery pageQuery);

    /**
     * 查询租户列表
     */
    List<PayTenantVo> queryList(PayTenantBo bo);

    /**
     * 新增租户
     */
    Boolean insertByBo(PayTenantBo bo);

    /**
     * 修改租户
     */
    Boolean updateByBo(PayTenantBo bo);

    /**
     * 校验并批量删除租户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
